from abc import ABC, abstractmethod


class AbstractAudioService(ABC):

    @abstractmethod
    def determine_gender(self) -> str:
        pass

    @abstractmethod
    def determine_spoken_language(self) -> str:
        pass